#!/bin/bash
sendinfo="/usr/local/src/VDR/svdrpsend.pl MESG "
where_my_iso="/video/dvd/*.iso"
brenner="/dev/scd0"
mynice="nice -n 10"

if test "$1" != ""
    then
    neuesFile=$1
    $sendinfo "Brenne - " $neuesFile > /dev/null
    sleep 3
    if [ ! -f "$neuesFile" ]
    then
        $sendinfo "Datei nicht gefunden - " $neuesFile > /dev/null
	echo "Datei nicht gefunden - " $neuesFile
	exit 1
    fi
else
    neuesFile=$(ls -lcC -1 $where_my_iso | /usr/bin/head -1) 
fi


if  test "$neuesFile" != ""  
    then

    $sendinfo "Bitte legen Sie einen DVD Rohling ein." > /dev/null
    eject $brenner > /dev/null
    sleep 10
    eject -t $brenner > /dev/null
    sleep 6
    
    DVDTYPE=`dvd+rw-mediainfo $brenner|grep "Mounted Media:"|awk '{print $4}'`

    if [ "$DVDTYPE" = "" ]
    then
       $sendinfo "Kein DVD-Rohling im Laufwerk" > /dev/null	
       exit 1
    fi

    if [ "$DVDTYPE" = "DVD+RW" ]
    then
	$sendinfo "Loesche DVD+RW Rohling" > /dev/null
        $mynice /usr/local/bin/dvd+rw-format -force $brenner
    fi

    $sendinfo "Schreibe Iso auf DVD-Rohling" > /dev/null
    $mynice /usr/local/bin/growisofs -Z $brenner=$neuesFile 
    $sendinfo "Schreiben der Iso Datei beendet" > /dev/null
    sleep 2

    $sendinfo "Schreibe Lead Out" > /dev/null
    $mynice /usr/local/bin/dvd+rw-format -lead-out $brenner

    $sendinfo "Schreibvorgang beendet" > /dev/null
    $mynice /bin/eject $brenner 
	
else
    echo "Keine Iso Datei vorhanden."
    $sendinfo "Keine Iso Datei vorhanden." > /dev/null 
fi





