
/*
 * menusetup.c: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */


#ifndef _GNU_SOURCE
#define _GNU_SOURCE
#endif

#include <string.h>

#include <vdr/osd.h>
#include <vdr/menuitems.h>

#include "i18n.h"
#include "menusetup.h"





// --- cMenuDVDSelectSetup --------------------------------------------------------



//#define ARRAYSIZE( array ) ( sizeof( array ) / sizeof( array[ 0 ] ) )



cMenuDVDSelectSetup::cMenuDVDSelectSetup()
  : data( config )
{
  Add(new cMenuEditStrItem( tr("dvddevice"),
	data.NameDevice,
	MaxFileName,
	tr(" abcdefghijklmnopqrstuvwxyz0123456789-./")
      ));
  Add(new cMenuEditStrItem( tr("dvdorgdevice"),
	data.NameOrgDevice,
	MaxFileName,
	tr(" abcdefghijklmnopqrstuvwxyz0123456789-./")
      ));
  Add(new cMenuEditStrItem( tr("imagedir"),
	data.ImageDir,
	MaxFileName,
	tr(" abcdefghijklmnopqrstuvwxyz0123456789-./")
      ));
  
}

cMenuDVDSelectSetup::~cMenuDVDSelectSetup() {
  //  delete[](_showTimersTexts);
}

void cMenuDVDSelectSetup::Store(void) {

  config = data;

  SetupStore( "NameDevice", data.NameDevice);
  SetupStore( "NameOrgDevice", data.NameOrgDevice);
  SetupStore( "ImageDir",   data.ImageDir );
}


